Skip to main content
GET
/
member-invitations
List member invitations
curl --request GET \
  --url https://{tenantDomain}/my-org/v1/member-invitations \
  --header 'Authorization: Bearer <token>'
{
  "invitations": [
    {
      "id": "uinv_12345678abcdefgh",
      "organization_id": "org_12345678abcdefgh",
      "inviter": {
        "name": "Allison the Admin"
      },
      "invitee": {
        "email": "user@example.com"
      },
      "identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
      "created_at": "2025-04-11T20:11:45.431Z",
      "expires_at": "2025-04-11T20:11:45.431Z",
      "roles": [
        "rol_BKW1BKIfBKd0BaI0"
      ],
      "invitation_url": "https://example.auth0.com/login?invitation=uinv_12345678abcdefgh&organization=org_12345678abcdefgh",
      "ticket_id": "1asdfasd23usjdef"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields. Note: you cannot filter on ticket_id and this value will only be returned when fields are not filtered.

Required string length: 1 - 255
Pattern: ^(id|organization_id|inviter|invitee|identity_provider_id|created_at|expires_at|roles|invitation_url)(,(id|organization_id|inviter|invitee|identity_provider_id|created_at|expires_at|roles|invitation_url))*$
include_fields
boolean
default:true

Whether specified fields are to be included (true) or excluded (false). Defaults to true

from
string

An optional cursor from which to start the selection (exclusive).

Required string length: 1 - 1000
take
integer
default:50

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
sort
string
default:created_at:-1

Field to sort by. Use field:order where order is 1 for ascending and -1 for descending. Defaults to created_at:-1

Pattern: ^created_at:(1|-1)$

Response

List Members Invitations for an Organization.

next
string

Pagination cursor for the next page of results.

invitations
object[]